Summary: Choqok KDE Micro-Blogging Client
Name: choqok
Version: 0.6.6
Release: 10%{?dist}
License: GPLv3
Group: Applications/Internet
URL: http://choqok.gnufolks.org/
Source: http://mirror.umoss.org/download.ospdev.net/choqok/choqok/0.6.6/choqok-0.6.6.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: cmake >= 2.6
BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel
BuildRequires: gettext

# FIXME/TODO: please document what this dep is for exactly -- Rex  :)
Requires: kdeutils >= 4.1

%description
A Free/Open Source micro-blogging client for K Desktop Environment.
The name comes from an ancient Persian word, which means Sparrow!
Choqok currently supports Twitter.com and Identi.ca services.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_kde4_sharedir}/applications/kde4/choqok.desktop

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README AUTHORS changelog TODO
%{_kde4_bindir}/choqok
%{_kde4_appsdir}/choqok/
%{_kde4_iconsdir}/hicolor/*/apps/choqok.png
%{_kde4_iconsdir}/hicolor/*/actions/retweet.png
%{_kde4_sharedir}/applications/kde4/choqok.desktop
%{_kde4_sharedir}/config.kcfg/choqok.kcfg

%changelog
* Wed Sep 23 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.6.6-9
- add icon/desktop-file scriptlets
* Sun Aug 16 2009 Tejas Dinkar <tejas@gja.in> - 0.6.6-8
- Added Dependency on kdeutils
- Choqok 0.6.6 is out
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Sun Jun 14 2009 Tejas Dinkar <tejas@gja.in> - 0.6.1-7
- Choqok 0.6.1 is out with the below two patches
* Sat Jun 13 2009 Tejas Dinkar <tejas@gja.in> - 0.6-6
- Fixed the inreplyto (via patch)
* Sat Jun 13 2009 Tejas Dinkar <tejas@gja.in> - 0.6-5
- Fixed the twitpocalypse (via patch)
* Wed May 27 2009 Tejas Dinkar <tejas@gja.in> - 0.6-4
- Changed to 0.6
* Fri Apr 10 2009 Tejas Dinkar <tejas@gja.in> - 0.5-3
- Added the TweetAll patch, remove this by 0.6
* Fri Mar 27 2009 Tejas Dinkar <tejas@gja.in> - 0.5-2
- Added AUTHORS changelog and TODO to doc
* Fri Mar 27 2009 Tejas Dinkar <tejas@gja.in> - 0.5-1
- Initial Version for Fedora
